/*
 * ulimits - User limits utility
 * Copyright (C) 2012 Damien Goutte-Gattat
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * Arguments:
 * 1 = resource identifier
 * 2 = letter code used in limits(5)
 * 3 = corresponding ulimit option (0 for pseudo limits, which cannot
 *     be set using ulimit)
 * 4 = factor to use when reading from limits(5)
 * 5 = factor to use when creating ulimit command)
 */
ULIMIT(RLIMIT_AS,       'A',    'v',    1024,   1024)
ULIMIT(RLIMIT_CORE,     'C',    'c',    1024,   1024)
ULIMIT(RLIMIT_DATA,     'D',    'd',    1024,   1024)
ULIMIT(RLIMIT_FSIZE,    'F',    'f',    1024,   1024)
ULIMIT(RLIMIT_MEMLOCK,  'M',    'l',    1024,   1024)
ULIMIT(RLIMIT_NOFILE,   'N',    'n',       1,      1)
ULIMIT(RLIMIT_RSS,      'R',    'm',    1024,   1024)
ULIMIT(RLIMIT_STACK,    'S',    's',    1024,   1024)
ULIMIT(RLIMIT_CPU,      'T',    't',      60,      1)
ULIMIT(RLIMIT_NPROC,    'U',    'u',       1,      1)
ULIMIT(RLIMIT_NICE,     'I',    'e',       1,      1)
ULIMIT(RLIMIT_RTPRIO,   'O',    'r',       1,      1)
ULIMIT(PLIMIT_UMASK,    'K',    0,         1,      1)
ULIMIT(PLIMIT_LOGIN,    'L',    0,         1,      1)
ULIMIT(PLIMIT_PRIORITY, 'P',    0,         1,      1)
